io.undertow.server.handlers

## Class BlockingHandler

- java.lang.Object
- - io.undertow.server.handlers.BlockingHandler

All Implemented Interfaces:
  HttpHandler

    public final class BlockingHandler
    extends Object
    implements HttpHandler

A `HttpHandler` that initiates a blocking request. If the thread is currently running in the io thread it will be dispatched.

Author:
  Stuart Douglas, David M. Lloyd

### Nested Class Summary

Nested Classes
`static class` `BlockingHandler.Builder`

### Constructor Summary

Constructors
Constructor and Description
`BlockingHandler()`
`BlockingHandler(HttpHandler handler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `getHandler()`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`BlockingHandler` `setRootHandler(HttpHandler rootHandler)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BlockingHandler

    public BlockingHandler(HttpHandler handler)

#### BlockingHandler

    public BlockingHandler()

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### getHandler

    public HttpHandler getHandler()

#### setRootHandler

    public BlockingHandler setRootHandler(HttpHandler rootHandler)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`